Package org.apache.uima.collection.metadata

# Interface CpeCollectionReaderIterator

All Superinterfaces:
  `Cloneable`, `MetaDataObject`, `Serializable`, `XMLizable`

public interface CpeCollectionReaderIterator extends MetaDataObject
An object that holds configuration that is part of the CPE descriptor. It provides the means of configuring CPE Collection Reader Iterator.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CasProcessorConfigurationParameterSettings`
  `getConfigurationParameterSettings()`
  `CpeComponentDescriptor`
  `getDescriptor()`
  `CpeSofaMappings`
  `getSofaNameMappings()`
  `void`
  `setConfigurationParameterSettings(CasProcessorConfigurationParameterSettings settings)`
  Set parameters that will override params defined in the Collection Reader component descriptor.
  `void`
  `setDescriptor(CpeComponentDescriptor descriptor)`
  Associate Descriptor with the Collection Reader Iterator
  `void`
  `setSofaNameMappings(CpeSofaMappings mappings)`
  Set Sofa Name Mappings

  ### Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject

  `clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

  ### Methods inherited from interface org.apache.uima.util.XMLizable

  `buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

- ## Method Details

  - ### getDescriptor

    CpeComponentDescriptor getDescriptor()
    Returns:
      Descriptor

  - ### setDescriptor

    void setDescriptor(CpeComponentDescriptor descriptor)
    Associate Descriptor with the Collection Reader Iterator
    Parameters:
      `descriptor` - the component descriptor

  - ### getConfigurationParameterSettings

    CasProcessorConfigurationParameterSettings getConfigurationParameterSettings()
    Returns:
      override parameters. These override parameters in the Collection Reader component descriptor.

  - ### setConfigurationParameterSettings

    void setConfigurationParameterSettings(CasProcessorConfigurationParameterSettings settings)
    Set parameters that will override params defined in the Collection Reader component descriptor.
    Parameters:
      `settings` - the configuration parameter settings

  - ### getSofaNameMappings

    CpeSofaMappings getSofaNameMappings()

  - ### setSofaNameMappings

    void setSofaNameMappings(CpeSofaMappings mappings)
    Set Sofa Name Mappings
    Parameters:
      `mappings` - the sofa mappings